<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<script>
    const usersPremiun = [{
        name: "Ivan",
        surname: "Ivanov",
        gender: "male",
        age: 30
    },
        {
            name: "Anna",
            surname: "Novikova",
            gender: "female",
            age: 22
        }];

    const usersNormal = [{
        name: "Alexander",
        surname: "Ibrahimov",
        gender: "male",
        age: 32
    },
        {
            name: "Anna",
            surname: "Calganova",
            gender: "female",
            age: 25
        },
        {
            name: "Katrin",
            surname: "Novikova",
            gender: "female",
            age: 23
        }];

const userFilter = excludeBy(usersPremiun, usersNormal, "age");
console.log(userFilter);
    function excludeBy(peopleList, excluded, property) {
        let arrayProp = excluded.map(function (item) {
            return item[property];

        });
        const usersFiltred =  peopleList.filter(function (item) {
            if (!arrayProp.includes(item[property])){
                return item;
            }
        }) ;
        return usersFiltred;
    }
</script>
</body>
</html>